Package org.snpeff.fileIterator

# Class VariantTxtFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<Variant>
org.snpeff.fileIterator.MarkerFileIterator<Variant>
org.snpeff.fileIterator.VariantFileIterator
org.snpeff.fileIterator.VariantTxtFileIterator

All Implemented Interfaces:
  `Iterable<Variant>`, `Iterator<Variant>`

public class VariantTxtFileIterator extends VariantFileIterator
Opens a sequence change file and iterates over all sequence changes TXT Format: Tab-separated format, containing five columns that correspond to: chr \t position \t refSeq \t newSeq \t strand \t quality \t coverage \t id \n Fields strand, quality, coverage and id are optional E.g. 5 140532 T C + 31 12 1017956 T A + 2 946507 G C + 21 16 Very_important_Snp 14 19584687 C T - 19 66520 G A + 27 8 150029 A T + 31

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpeff.fileIterator.MarkerFileIterator

`createChromos, genome, ignoreChromosomeErrors, inOffset`

### Fields inherited from class org.snpeff.fileIterator.FileIterator

`autoClose, countNewLineChars, debug, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`VariantTxtFileIterator(String fileName)`
`VariantTxtFileIterator(String fileName, Genome genome)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Variant`
`next()`
`protected Variant`
`readNext()`
Read next element

### Methods inherited from class org.snpeff.fileIterator.MarkerFileIterator

`getChromosome, getGenome, init, isIgnoreChromosomeErrors, loadMarkers, parsePosition, sanityCheckChromo, setCreateChromos, setIgnoreChromosomeErrors, setInOffset`

### Methods inherited from class org.snpeff.fileIterator.FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasSeek, isDebug, iterator, load, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### VariantTxtFileIterator

public VariantTxtFileIterator(String fileName)

### VariantTxtFileIterator

public VariantTxtFileIterator(String fileName, Genome genome)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Variant>`
Overrides:
  `hasNext` in class `FileIterator<Variant>`

### next

public Variant next()

Specified by:
  `next` in interface `Iterator<Variant>`
Overrides:
  `next` in class `FileIterator<Variant>`

### readNext

protected Variant readNext()
Description copied from class: `FileIterator`
Read next element

Specified by:
  `readNext` in class `FileIterator<Variant>`